---
title: String.prototype.startsWith()
slug: Web/JavaScript/Reference/Global_Objects/String/startsWith
tags:
  - ECMAScript 2015
  - JavaScript
  - Method
  - Prototype
  - Reference
  - String
---
<div>{{JSRef}}</div>

<p><span class="seoSummary">The <strong><code>startsWith()</code></strong> method determines whether a string begins with the characters of a specified string, returning <code>true</code> or <code>false</code> as appropriate.</span></p>

<div>{{EmbedInteractiveExample("pages/js/string-startswith.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>str</var>.startsWith(<var>searchString</var>[, <var>position</var>])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>searchString</var></code></dt>
 <dd>The characters to be searched for at the start of this string.</dd>
 <dt><code><var>position</var></code> {{optional_inline}}</dt>
 <dd>The position in this string at which to begin searching for <code><var>searchString</var></code>. Defaults to <code>0</code>.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p><strong><code>true</code></strong> if the given characters are found at the beginning of the string; otherwise, <strong><code>false</code></strong>.</p>

<h2 id="Description">Description</h2>

<p>This method lets you determine whether or not a string begins with another string. This method is case-sensitive.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_startsWith">Using startsWith()</h3>

<pre class="brush: js notranslate">//startswith
let str = 'To be, or not to be, that is the question.'

console.log(str.startsWith('To be'))          // true
console.log(str.startsWith('not to be'))      // false
console.log(str.startsWith('not to be', 10))  // true
</pre>

<h2 id="Polyfill">Polyfill</h2>

<p>This method has been added to the ECMAScript 2015 specification and may not be available in all JavaScript implementations yet. However, you can polyfill <code>String.prototype.startsWith()</code> with the following snippet:</p>

<pre class="brush: js notranslate">if (!String.prototype.startsWith) {
    Object.defineProperty(String.prototype, 'startsWith', {
        value: function(search, rawPos) {
            var pos = rawPos &gt; 0 ? rawPos|0 : 0;
            return this.substring(pos, pos + search.length) === search;
        }
    });
}
</pre>

<p>A more robust (fully ES2015 specification compliant), but less performant and compact, Polyfill is available <a href="https://github.com/mathiasbynens/String.prototype.startsWith">on GitHub by Mathias Bynens</a>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-string.prototype.startswith', 'String.prototype.startsWith')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.String.startsWith")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("String.prototype.endsWith()")}}</li>
 <li>{{jsxref("String.prototype.includes()")}}</li>
 <li>{{jsxref("String.prototype.indexOf()")}}</li>
 <li>{{jsxref("String.prototype.lastIndexOf()")}}</li>
</ul>
